Subject: bug#18812: 24.4; url.el user agent does not include Emacs version

From: Ted Zlatanov <[email-masked]>
Date: Fri, 24 Oct 2014 09:48:11 -0400

On Thu, 23 Oct 2014 21:19:21 -0400 Stefan Monnier <[email-masked]> wrote: 

>> The url.el functions for making HTTP requests set the User-Agent header
>> to "URL/Emacs" which is not very descriptive.  It would be helpful to
>> include the Emacs version, at least.

SM> Other people feel like it's already too descriptive.  Why should all
SM> Emacs users constantly tell the whole world exactly which Emacs version
SM> they're running?

Web browsers do.  It helps web developers and is not particularly
sensitive if only the major.minor version is used (without too much detail).

Ted